创建 enrollmentProfile
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 enrollmentProfile 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
POST /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 enrollmentProfile 对象的 JSON 表示形式。
下表显示创建 enrollmentProfile 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 对象的 GUID |
| displayName | String | 配置文件的名称 |
| 说明 | String | 配置文件的说明 |
| requiresUserAuthentication | Boolean | 指示配置文件是否要求用户身份验证 |
| configurationEndpointUrl | String | 用于注册的配置终结点 URL |
| enableAuthenticationViaCompanyPortal | Boolean | 指示使用 Apple Setup Assistant 进行身份验证,而不是公司门户。 |
| requireCompanyPortalOnSetupAssistantEnrolledDevices | Boolean | 指示公司门户注册的设备上需要安装助手 |
响应
如果成功,此方法在响应 201 Created 正文中返回 响应代码和 enrollmentProfile 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles
Content-type: application/json
Content-length: 370
{
"@odata.type": "#microsoft.graph.enrollmentProfile",
"displayName": "Display Name value",
"description": "Description value",
"requiresUserAuthentication": true,
"configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
"enableAuthenticationViaCompanyPortal": true,
"requireCompanyPortalOnSetupAssistantEnrolledDevices": true
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 419
{
"@odata.type": "#microsoft.graph.enrollmentProfile",
"id": "012d8d5e-8d5e-012d-5e8d-2d015e8d2d01",
"displayName": "Display Name value",
"description": "Description value",
"requiresUserAuthentication": true,
"configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
"enableAuthenticationViaCompanyPortal": true,
"requireCompanyPortalOnSetupAssistantEnrolledDevices": true
}
反馈
提交和查看相关反馈